Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-03-07 13:492014-05-07 18:11
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionopenFixed in Version
StatusclosedFix in branchFixed in SCM revision8403924dc79d
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025932: The Total Gross Amount of the Sales Order is wrong for non stockable BOM products udner some circumstancies

DescriptionThe Total Gross Amount of the Sales Order is wrong for non stockable BOM products udner some circumstancies
Steps To ReproduceAs group Admin role,
Go to Product window:
  Create a new one.
    Name: BOM
    Stocked : NO
    Bill of Materials: Yes
  Go to Price List tab:
     select 'Tarifa de Ventas', price= 0
  Go to Bill of Materials tab:
     add Agua sin Gas product
Click on Verify BOM button

Go To Price list window:
   select 'Tarifa de Ventas'
   Price includes taxes: YES

Go to Sales order window:
   Create a new one for Business Partner: Alimentos y Supermercados
   Go to Lines tab:
      create a Line for Product: BOM
Click on Explode button

Realise that the Gross Unit price is 0 and the Total Gross Amount is 0 and it should not.


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035428 closedaferraz Do not calculate Net Price and Net Amount outside triggers when creating new Order/Invoice with Price Including Taxes 

-  Notes
(0065673)
AtulOpenbravo (developer)
2014-04-01 16:15

Test Plan
- Login as F&B International Group Admin.
- Navigate to Product window. Create a new product as BOM. Set Stocked flag as No, Bills Of Material flag as Yes.
- Navigate to Price List Tab. Select price list version as 'Tarifa de Ventas' and set price as zero.
- Navigate to Bills Of Material Tab. Add a record with Agua Sin Gas Product. Click on Verify BOM button.
- Navigate to Price List window. Select 'Tarifa de Ventas' and set Price includes taxes flag as Yes.
- Navigate to Sales Order Window. Create a new one for Business Partner: Alimentos y Supermercados
- Go to Sales Order Lines tab. Create a Line for Product: BOM, Click on Explode button.
- Realize that the Gross Unit price and Total Gross Amount is set with proper values.
(0066287)
hgbot (developer)
2014-04-10 09:00

Repository: erp/devel/pi
Changeset: 8403924dc79d9311896cc39b8ec5731b8e618a0e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 01 19:21:48 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8403924dc79d9311896cc39b8ec5731b8e618a0e [^]

Fixes Issue 25932 In Sales Order wrong Total Gross Amt for non stocked BOM

---
M src-db/database/model/functions/M_EXPLODEBOMNOTSTOCK.xml
---
(0066310)
AtulOpenbravo (developer)
2014-04-10 13:52

Re-opened to add Review Assigned To
(0066368)
VictorVillar (developer)
2014-04-14 09:29

Verified
(0066911)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-07 13:49 VictorVillar New Issue
2014-03-07 13:49 VictorVillar Assigned To => dmiguelez
2014-03-07 13:49 VictorVillar Modules => Core
2014-03-07 13:49 VictorVillar Triggers an Emergency Pack => No
2014-03-07 13:49 VictorVillar Assigned To dmiguelez => jonalegriaesarte
2014-03-07 13:49 VictorVillar Issue Monitored: networkb
2014-03-20 12:26 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-03-27 08:09 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-03-27 08:12 AtulOpenbravo Status new => scheduled
2014-03-27 08:12 AtulOpenbravo fix_in_branch => pi
2014-03-31 16:17 jonalegriaesarte Target Version PR14Q2 => PR14Q3
2014-04-01 16:15 AtulOpenbravo Note Added: 0065673
2014-04-10 09:00 hgbot Checkin
2014-04-10 09:00 hgbot Note Added: 0066287
2014-04-10 09:00 hgbot Status scheduled => resolved
2014-04-10 09:00 hgbot Resolution open => fixed
2014-04-10 09:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8403924dc79d9311896cc39b8ec5731b8e618a0e [^]
2014-04-10 13:52 AtulOpenbravo Note Added: 0066310
2014-04-10 13:52 AtulOpenbravo Status resolved => new
2014-04-10 13:52 AtulOpenbravo Resolution fixed => open
2014-04-10 13:52 AtulOpenbravo Status new => scheduled
2014-04-10 13:53 AtulOpenbravo Review Assigned To => VictorVillar
2014-04-10 13:53 AtulOpenbravo Status scheduled => resolved
2014-04-10 13:53 AtulOpenbravo fix_in_branch pi =>
2014-04-14 09:29 VictorVillar Note Added: 0066368
2014-04-14 09:29 VictorVillar Status resolved => closed
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066911
2017-03-06 18:47 aferraz Relationship added related to 0035428


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker